org.eclipse.ecf.core.util

## Class ContainerManagerTracker

- java.lang.Object
- - org.osgi.util.tracker.ServiceTracker
  - - org.eclipse.ecf.core.util.ContainerManagerTracker

All Implemented Interfaces:
  ServiceTrackerCustomizer

    public class ContainerManagerTracker
    extends ServiceTracker

Service tracker customized to handle tracking the ECF container manager service (singleton).

Since:
  3.1

### Field Summary

### Fields inherited from class org.osgi.util.tracker.ServiceTracker

`context, filter`

### Constructor Summary

Constructors
Constructor and Description
`ContainerManagerTracker(BundleContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IContainerManager` `getContainerManager()`

### Methods inherited from class org.osgi.util.tracker.ServiceTracker

`addingService, close, getService, getService, getServiceReference, getServiceReferences, getServices, getServices, getTracked, getTrackingCount, isEmpty, modifiedService, open, open, remove, removedService, size, waitForService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainerManagerTracker

    public ContainerManagerTracker(BundleContext context)

### Method Detail

#### getContainerManager

    public IContainerManager getContainerManager()